## rust-debugid 0.8.0

=== Makefile ===
all: style lint test
.PHONY: all

check: style lint
.PHONY: check

build:
	@cargo build
.PHONY: build

doc:
	@cargo doc
.PHONY: doc

test:
	@cargo test
.PHONY: test

style:
	@rustup component add rustfmt --toolchain stable 2> /dev/null
	cargo +stable fmt -- --check
.PHONY: style

format:
	@rustup component add rustfmt --toolchain stable 2> /dev/null
	@cargo +stable fmt
.PHONY: format

lint:
	@rustup component add clippy --toolchain stable 2> /dev/null
	@cargo +stable clippy --tests -- -D clippy::all
.PHONY: lint

=== debian/changelog ===
rust-debugid (0.8.0-1) unstable; urgency=medium

  * Package debugid 0.8.0 from crates.io using debcargo 2.5.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 16 Aug 2022 18:26:53 +0200

=== debian/control ===
Source: rust-debugid
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-uuid-1+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Sylvestre Ledru <sylvestre@debian.org>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/debugid]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/debugid
Homepage: https://sentry.io/
Rules-Requires-Root: no

Package: librust-debugid-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-serde-1+default-dev (>= 1.0.85-~~),
 librust-uuid-1+default-dev
Provides:
 librust-debugid+default-dev (= ${binary:Version}),
 librust-debugid+serde-dev (= ${binary:Version}),
 librust-debugid-0-dev (= ${binary:Version}),
 librust-debugid-0+default-dev (= ${binary:Version}),
 librust-debugid-0+serde-dev (= ${binary:Version}),
 librust-debugid-0.8-dev (= ${binary:Version}),
 librust-debugid-0.8+default-dev (= ${binary:Version}),
 librust-debugid-0.8+serde-dev (= ${binary:Version}),
 librust-debugid-0.8.0-dev (= ${binary:Version}),
 librust-debugid-0.8.0+default-dev (= ${binary:Version}),
 librust-debugid-0.8.0+serde-dev (= ${binary:Version})
Description: Common reusable types for implementing the sentry.io protocol - Rust source code
 This package contains the source for the Rust debugid crate, packaged by
 debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test debugid 0.8.0 --all-targets --all-features
Features: test-name=rust-debugid:@
Depends: dh-cargo (>= 18), librust-serde-json-1+default-dev (>= 1.0.37-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debugid 0.8.0 --all-targets 
Features: test-name=librust-debugid-dev:default
Depends: dh-cargo (>= 18), librust-serde-json-1+default-dev (>= 1.0.37-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debugid 0.8.0 --all-targets --no-default-features --features serde
Features: test-name=librust-debugid-dev:serde
Depends: dh-cargo (>= 18), librust-serde-json-1+default-dev (>= 1.0.37-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test debugid 0.8.0 --all-targets --no-default-features
Features: test-name=librust-debugid-dev:
Depends: dh-cargo (>= 18), librust-serde-json-1+default-dev (>= 1.0.37-~~), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/debugid-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/debugid .*/crates/debugid/@ANY_VERSION@/download
